ChangeSet 1.1318, 2003/06/05 12:04:44-07:00, greg@kroah.com

[PATCH] PCI: remove EXPORT_SYMBOL(pci_devices)

Now the only users of this directly should be the pci core and arch specific
pci core code.


 drivers/pci/probe.c |    1 -
 include/linux/pci.h |   11 +++++++----
 2 files changed, 7 insertions(+), 5 deletions(-)


diff -Nru a/drivers/pci/probe.c b/drivers/pci/probe.c
--- a/drivers/pci/probe.c	Thu Jun  5 13:52:38 2003
+++ b/drivers/pci/probe.c	Thu Jun  5 13:52:38 2003
@@ -689,7 +689,6 @@
 }
 EXPORT_SYMBOL(pci_scan_bus_parented);
 
-EXPORT_SYMBOL(pci_devices);
 EXPORT_SYMBOL(pci_root_buses);
 
 #ifdef CONFIG_HOTPLUG
diff -Nru a/include/linux/pci.h b/include/linux/pci.h
--- a/include/linux/pci.h	Thu Jun  5 13:52:38 2003
+++ b/include/linux/pci.h	Thu Jun  5 13:52:38 2003
@@ -468,10 +468,6 @@
 
 #define pci_bus_b(n) list_entry(n, struct pci_bus, node)
 
-extern struct list_head pci_root_buses;	/* list of all known PCI buses */
-extern struct list_head pci_devices;	/* list of all devices */
-extern struct bus_type pci_bus_type;
-
 /*
  * Error values that may be returned by PCI functions.
  */
@@ -521,6 +517,13 @@
 
 /* these external functions are only available when PCI support is enabled */
 #ifdef CONFIG_PCI
+
+extern struct bus_type pci_bus_type;
+
+/* Do NOT directly access these two variables, unless you are arch specific pci
+ * code, or pci core code. */
+extern struct list_head pci_root_buses;	/* list of all known PCI buses */
+extern struct list_head pci_devices;	/* list of all devices */
 
 #define pci_for_each_bus(bus) \
 	for(bus = pci_bus_b(pci_root_buses.next); bus != pci_bus_b(&pci_root_buses); bus = pci_bus_b(bus->node.next))
